{
  "compilerOptions": {
    "baseUrl": ".",
    "declaration": true,
    "declarationMap": true,
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "incremental": true,
    "lib": [
      "es2022",
      "dom"
    ],
    "module": "commonjs",
    "moduleResolution": "node",
    "noEmit": false,
    "noEmitOnError": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "outDir": "./dist",
    "paths": {
      "@/*": [
        "./*"
      ],
      "@adapters/*": [
        "../../adapters/*"
      ],
      "@core/*": [
        "../../core/*"
      ],
      "@testing/*": [
        "../../adapters/testing/*"
      ]
    },
    "removeComments": true,
    "sourceMap": true,
    "strict": true,
    "strictNullChecks": true,
    "target": "es2017",
    "types": [
      "node",
      "express",
      "vitest/globals",
      "supertest"
    ]
  },
  "exclude": [
    "node_modules",
    "dist",
    "**/*.mock.ts"
  ],
  "extends": "../../tsconfig.base.json",
  "include": [
    "src/**/*",
    "src/**/*.d.ts"
  ]
}